View Issue Details

IDProjectCategoryView StatusLast Update
0006459JEDI VCL00 JVCL Componentspublic2018-07-18 15:39
ReporterjaridmoAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status feedbackResolutionopen 
Product VersionDaily / GIT 
Target VersionFixed in Version 
Summary0006459: RadStudio 10 Seattle and TJvHidDeviceController "Device cannot be identified" error
DescriptionDrop a TJvHIDDeviceController component on a form and get error "Device cannot be identified". It doesn't break builder or anything, but the error shows up whenever opening the project or opening the form.

I can reproduce this easily by creating a blank project and adding a TJvHidDeviceController to the form. The error shows on adding the component.
Additional InformationI have installed the version from GetIt Package Manager and when I drop a TJvHIDController on a form it gives the error: "Device cannot be identified". So I uninstalled the GetIt versions and downloaded the daily build "latest full" zip "2015-10-12 08:32:52 UTC" to see if it had the same problem. Yes, it shows the same error message. I also tried the latest stable build from sourceforge and it has the same error.

This is a Windows 10 Enterprise inside a VMWare Workstation Virtual Machine RAD Studio 10 Seattle Enterprise
TagsNo tags attached.

Activities

jaridmo

2015-10-15 23:34

reporter   ~0021243

After further debugging I find the issue is when VMWare installs the VMWare Virtual USB Sensors and turns those on. Disabling those causes this error to go away...
These were on by default when we created a Windows 10 VM in VMWare Workstation 12.

I will add an image of what the VMware Virtual USB Sensor Settings are (found through USBDeview).


The workaround is to turn off the USB Sensor support in VMWare:

VMWare Workstation - Edit Virutal Machine Settings - Options - Guest Isolation - Shared Sensor Input - Uncheck the 3 options.

2015-10-15 23:34

 

obones

2018-07-18 15:39

administrator   ~0021485

Could you check if the issue is still present in the latest GIT content? If yes, please provide the zipped sources of an application showing this.

Issue History

Date Modified Username Field Change
2015-10-12 23:46 jaridmo New Issue
2015-10-15 23:34 jaridmo Note Added: 0021243
2015-10-15 23:34 jaridmo File Added: VMWare Virtual USB Sensors Information.png
2018-07-18 15:39 obones Note Added: 0021485
2018-07-18 15:39 obones Status new => feedback